#!/bin/bash
#
#set -x

DEFAULT_MODULES="usb-storage"

KV=`uname -r`
KV_MAJOR=`uname -r | cut -f1 -d "."`
KV_MINOR=`uname -r | cut -f2 -d "."`

KRNLMOD_DIR="/lib/modules/$KV/"

ADM=`ls /usr/local/src/DVB/build-2.6/*.ko | cut -f 7 -d "/"`
#echo "<$ADM>"
for i in $ADM ; do
   K_MOD=`find $KRNLMOD_DIR -name $i`
   if [ ! -z $K_MOD ] && [ -f $K_MOD ] ; then
      echo "Renaming $K_MOD"
      mv -vf $K_MOD $K_MOD.org
   else
      echo "Not Found: $i"
   fi
done


